BizKitHub
DocsAPI ReferenceCalendar Analytics/bff/calendar/calendar-analytics-time-to-fill
getCalendar AnalyticsAdmin BFF

/bff/calendar/calendar-analytics-time-to-fill

Shows how fast events fill to capacity - ideal metric for pricing optimization and demand prediction. Fast fill times indicate high demand and pricing power.

Calendar AnalyticsgetBffCalendarCalendar-analytics-time-to-fill

Parameters

1 query

Query parameters

· 1
codestringRequired

Calendar code identifier.

Exampleexample_code

Response schema

1 status code documented

200Success
averageHoursnumberRequired

Average hours to fill capacity.

medianHoursnumberRequired

Median hours to fill capacity.

fastestHoursnumberRequired

Fastest fill time ever recorded.

distributionobject[]Required
Each array item:
rangestringRequired

Time range (e.g., "0-1 hours").

countnumberRequired

Events that filled in this range.

percentagenumberRequired

Percentage of total filled events.

Response example

application/json
{
  "averageHours": 0,
  "medianHours": 0,
  "fastestHours": 0,
  "distribution": [
    {
      "range": "example_range",
      "count": 0,
      "percentage": 0
    }
  ]
}

Request example

GET /bff/calendar/calendar-analytics-time-to-fill

get
curl -X GET "https://api.bizkithub.com/bff/calendar/calendar-analytics-time-to-fill?code=example_code" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key